YAM update problem

A forum for general AmigaOS 4.x support questions that are not platform-specific
Post Reply
alekc
Posts: 50
Joined: Sat Jun 18, 2011 3:06 pm

YAM update problem

Post by alekc »

On fresh install of AOS4.1FE it seems I can't update YAM using its update feature. When ever I try to download components listed in Update Notification window using download button I get the error: Couldn't connect to WWW server 'https'. I've searched yam site but could not find any hints to solve this issue. Anyone have any idea how to fix it?
User avatar
javierdlr
Beta Tester
Beta Tester
Posts: 380
Joined: Sun Jun 19, 2011 10:13 pm
Location: Donostia (GUIPUZCOA) - Spain
Contact:

Re: YAM update problem

Post by javierdlr »

Does it happens always? Maybe it was just a server problem.

You can grab latest YAM from here (including nightly builds):

http://yam.ch/downloads
alekc
Posts: 50
Joined: Sat Jun 18, 2011 3:06 pm

Re: YAM update problem

Post by alekc »

It happens every time. The download address is https://github.com so I doubt it is the problem with github as I am using it from other OSes on daily basis. I think it is the https part that causes troubles. I'm using 2.9p1 version - the latest stable one. I'm a bit surprised that anyone else didn't notice it. Maybe people do not update YAM?
User avatar
Daedalus
Posts: 42
Joined: Sat Jun 18, 2011 12:30 am
Location: From Ireland, living in Glasgow
Contact:

Re: YAM update problem

Post by Daedalus »

It's probably the out of date SSL support that causes that problem. It's the same issue that will prevent YAM, SimpleMail etc. from working with many mail providers including GMail.
alekc
Posts: 50
Joined: Sat Jun 18, 2011 3:06 pm

Re: YAM update problem

Post by alekc »

Daedalus wrote:It's probably the out of date SSL support that causes that problem. It's the same issue that will prevent YAM, SimpleMail etc. from working with many mail providers including GMail.
That is what I've been afraid of. Makes YAM useless for me unfortunately as most providers are switching to SSL.
Gregor
Posts: 88
Joined: Thu Sep 08, 2011 10:44 am

Re: YAM update problem

Post by Gregor »

Daedalus wrote:It's probably the out of date SSL support that causes that problem. It's the same issue that will prevent YAM, SimpleMail etc. from working with many mail providers including GMail.
YAM 2.7 works ok with Gmail. I Had to downgrade from 2.9p1 due to this SSL problem... Also the latest Beta is said to have a workaround for this issue but I have not tested it myself.
alekc
Posts: 50
Joined: Sat Jun 18, 2011 3:06 pm

Re: YAM update problem

Post by alekc »

Gregor wrote: YAM 2.7 works ok with Gmail. I Had to downgrade from 2.9p1 due to this SSL problem... Also the latest Beta is said to have a workaround for this issue but I have not tested it myself.
Thanks for the tip. I'll try the latest beta then.
User avatar
MichaelMerkel
Beta Tester
Beta Tester
Posts: 350
Joined: Mon Dec 20, 2010 2:08 pm
Location: Germany
Contact:

Re: YAM update problem

Post by MichaelMerkel »

from the september changelog of yam (nightly version 2.10dev):

* tcp/http.c: handle "https://" URLs as well. This partly fixes the download
problems on github.com. Unfortunately the redirection scheme used by github
still cannot be resolved correctly, hence the download still fails.

so this has been improved in the current nightlies.
regards...
michael
Michael Merkel :lol:
(Member of Amiga Freunde Pfalz)
Post Reply